package com.muyu.common.core.web;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;

/**
 * 列表查询模型
 *
 * @author DongZeLiang
 * @date 2024-01-07 10:01
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class SuperBasic<OC> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 业务ID - 暂时可以不用
     *
     * 设计上可以用来重写日志的tracId
     */
    private String serviceId;

}
