package com.muyu.common.security.service;

import com.muyu.common.core.basic.SecurityBasic;
import com.muyu.common.security.utils.SecurityUtils;

/**
 * 登陆信息标准实现
 * @author dongzeliang
 * @version 1.0
 * @description: 登陆信息标准实现
 * @date 2025/3/1 11:59
 */
public class SecurityBasicImpl implements SecurityBasic {

    /**
     * 获取当前登录用户的用户名称
     *
     * @return 当前登录用户名称
     */
    @Override
    public String getUsername() {
        return SecurityUtils.getUsername();
    }
}
