package com.muyu.common.core.enums;

import lombok.Getter;

/**
 * 系统逻辑删除
 * @author dongzeliang
 * @version 1.0
 * @description: 系统逻辑删除
 * @date 2025/1/16 18:48
 */
@Getter
public enum SysDelFlagEnum {
    // 存在
    EXIST("0", "存在"),
    // 删除
    NOT_EXIST("2", "删除")
    ;
    private final String code;
    private final String info;

    SysDelFlagEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

}
