package com.muyu.common.core.exception.auth;

import org.apache.commons.lang3.StringUtils;

import static com.muyu.common.core.constant.SplitConstants.COMMA_STR;

/**
 * 未能通过的权限认证异常
 *
 * @author muyu
 */
public class NotPermissionException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    public NotPermissionException (String permission) {
        super(permission);
    }

    public NotPermissionException (String[] permissions) {
        super(StringUtils.join(permissions, COMMA_STR));
    }
}
