package com.muyu.system.domain.rep;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dongzeliang
 * @version 1.0
 * @description: 在线用户列表查询
 * @date 2025/2/26 21:57
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysUserOnlineListReq {

    /**
     * IP地址
     */
    private String ipaddr;

    /**
     * 用户名称
     */
    private String userName;
}
